Subject: Re: Vlan interface nuisance

From: Jarek Poplawski <[email-masked]>
Date: Mon, 02 Mar 2009 20:06:26 +0100

Ben Greear wrote, On 03/02/2009 07:56 PM:

> Jarek Poplawski wrote:
>> Lennart Sorensen wrote, On 03/02/2009 06:20 PM:
>>
>>> On Sun, Mar 01, 2009 at 08:47:31PM -0800, Stephen Hemminger wrote:
>>>> Why is interface created through netlink named 'vlan0' and
>>>> interface created through old vconfig called 'ethX.YY'.
>>>> Seems like the interface should be consistent.
>>> That does seem silly.
>>>
>>> ethX.YYYY told you which physical interface and which vlan number it was.
>>>
>>> vlan0 tells you nothing useful.
>>  
>>
>> Even if you have only one ethX?
> 
> Yes...the old way would tell you the vlan-id regardless of how
> many NICs you have, which is useful information for anyone
> actually trying to configure two boxes to talk to each other,
> or (god forbid), debug someone else's config.
> 
> It's true you can specify the vlan-name on creation using 'ip',
> which is what I do, so I'm not going to argue Stephen's change
> either way..but I do like device names that give more info...

To make it clear: I don't say vlan0 is better; but IMHO it doesn't
have to be silly or nothing useful either.

Jarek P.